{
    attributes = (
        {
            columnName = "C_STRUCTURE"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "TGRP_CODE"; 
            externalType = VARCHAR2; 
            name = tgrpCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 2; 
        }
    ); 
    attributesUsedForLocking = (cStructure, tgrpCode); 
    className = "org.cocktail.connecteur.serveur.modele.grhum.referentiel.EORepartTypeGroupe"; 
    classProperties = (dCreation, dModification, tgrpCode, cStructure); 
    externalName = "GRHUM.REPART_TYPE_GROUPE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (tgrpCode, cStructure); 
        "_nameInObjectStore" = "REPART_TYPE_GROUPE"; 
    }; 
    name = RepartTypeGroupe; 
    primaryKeyAttributes = (tgrpCode, cStructure); 
}
